clang 10.0.0git

Public Types | Public Member Functions | Static Public Member Functions | List of all members
clang::ASTNameGenerator::Implementation Class Reference

## Public Types
enum | ObjCKind { ObjCClass, ObjCMetaclass }

## Public Member Functions
| Implementation (ASTContext &Ctx)
bool | writeName (const Decl *D, raw_ostream &OS)
std::string | getName (const Decl *D)
std::vector< std::string > | getAllManglings (const ObjCContainerDecl *OCD)
std::vector< std::string > | getAllManglings (const Decl *D)

## Static Public Member Functions
static StringRef | getClassSymbolPrefix (ObjCKind Kind, const ASTContext &Context)

## Detailed Description

Definition at line 291 of file Mangle.cpp.

## Member Enumeration Documentation

## ◆ ObjCKind

enum ASTNameGenerator::Implementation::ObjCKind

Enumerator
ObjCClass |
ObjCMetaclass |

Definition at line 335 of file Mangle.cpp.

## Constructor & Destructor Documentation

## ◆ Implementation()

clang::ASTNameGenerator::Implementation::Implementation | ( | ASTContext & | Ctx | ) |
| inline explicit

Definition at line 296 of file Mangle.cpp.

## Member Function Documentation

## ◆ getAllManglings() [1/2]

std::vector<std::string> clang::ASTNameGenerator::Implementation::getAllManglings | ( | const ObjCContainerDecl * | OCD | ) |
| inline

Definition at line 347 of file Mangle.cpp.

References clang::Decl::getASTContext().

## ◆ getAllManglings() [2/2]

std::vector<std::string> clang::ASTNameGenerator::Implementation::getAllManglings | ( | const Decl * | D | ) |
| inline

Definition at line 370 of file Mangle.cpp.

References clang::C, clang::Ctor_Base, clang::Ctor_Complete, clang::Ctor_DefaultClosure, clang::Dtor_Base, clang::Dtor_Complete, clang::Dtor_Deleting, clang::Decl::getASTContext(), clang::ASTContext::getDefaultCallingConvention(), clang::NamedDecl::getIdentifier(), getName(), clang::IdentifierInfo::getName(), clang::ObjCInterfaceDecl::getObjCRuntimeNameAsString(), and hasDefaultCXXMethodCC().

## ◆ getClassSymbolPrefix()

static StringRef clang::ASTNameGenerator::Implementation::getClassSymbolPrefix | ( | ObjCKind | Kind,
|  | const ASTContext & | Context
| ) |  |
| inline static

Definition at line 340 of file Mangle.cpp.

References clang::ASTContext::getLangOpts(), clang::ObjCRuntime::isGNUFamily(), and clang::LangOptions::ObjCRuntime.

## ◆ getName()

std::string clang::ASTNameGenerator::Implementation::getName | ( | const Decl * | D | ) |
| inline

Definition at line 326 of file Mangle.cpp.

## ◆ writeName()

bool clang::ASTNameGenerator::Implementation::writeName | ( | const Decl * | D,
|  | raw_ostream & | OS
| ) |  |
| inline

Definition at line 300 of file Mangle.cpp.

The documentation for this class was generated from the following file:

- lib/AST/Mangle.cpp